locked
Error : Could not install the developer certificate.

    Question

  • When i'm trying to install the metro style app with local package, below error is occured.

    "Error : Could not install the developer certificate."

    do you know why this error is occured? (OS version of target machine is release preview (8400). and target machine is already got the developer license.)

    thanks in advance.

    KD Park.

    Monday, June 11, 2012 8:51 AM

Answers

  • We had exactly the same problem and the reason was that the certificate was invalid. You can view this by just looking at the .cer file in the install package. (In our case, the date on our development system was set wrongly, giving us developer certificates far in the future that were not valid today.)

    • Marked as answer by KD Park Tuesday, June 12, 2012 2:36 AM
    Monday, June 11, 2012 1:27 PM

All replies

  • Run as Administrator maybe? Seems like the developer certificate couldn't be added to Trusted People store.

    Also have a look at this:  Metro App Installer GUI


    Can Bilgin
    Blog CompuSight

    Monday, June 11, 2012 10:16 AM
  • Hi, Can. Thanks you for reply.

    surely, i was to elevate the privilege when install the developer certificate.

    and your Metro App Installer GUI is occurred "page not found".

    Monday, June 11, 2012 12:00 PM
  • hey sorry about the page not found :) here is the actual link Metro App Installer GUI

    Can Bilgin
    Blog CompuSight

    Monday, June 11, 2012 1:06 PM
  • We had exactly the same problem and the reason was that the certificate was invalid. You can view this by just looking at the .cer file in the install package. (In our case, the date on our development system was set wrongly, giving us developer certificates far in the future that were not valid today.)

    • Marked as answer by KD Park Tuesday, June 12, 2012 2:36 AM
    Monday, June 11, 2012 1:27 PM
  • OMG!! That's the problem!!!

    Thanks a lot, Brian.

    KD.

    Tuesday, June 12, 2012 2:36 AM